Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## opencard.opt.iso.fs
Class CardFileShortFileID

    java.lang.Object
      opencard.opt.iso.fs.CardFilePathComponent
          opencard.opt.iso.fs.CardFileShortFileID

    public class CardFileShortFileID

extends CardFilePathComponent

`CardFileShortFileID` contains a single `CardFilePath` component, a short file ID.

Field Summary

Fields inherited from class opencard.opt.iso.fs.CardFilePathComponent
`comp`

Constructor Summary
`CardFileShortFileID(byte bite)` Instantiate a short file ID path component.
`CardFileShortFileID(java.lang.String comp)` Instantiate a short file ID path component.

Method Summary
`boolean` | `equals(java.lang.Object comp)` Compare two file ID components.
`int` | `hashCode()` Return a hashcode for this file ID component.
`byte` | `toByte()` Return the `byte` representation of this component.

Methods inherited from class opencard.opt.iso.fs.CardFilePathComponent
`createComponent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CardFileShortFileID

    public CardFileShortFileID(java.lang.String comp)

  Instantiate a short file ID path component.

  Parameters:
    `comp` - The String containing the path component.

### CardFileShortFileID

    public CardFileShortFileID(byte bite)

  Instantiate a short file ID path component.

  Parameters:
    `bite` - The byte value of the short fileID.

Method Detail

### toByte

    public byte toByte()

  Return the `byte` representation of this component.

  Returns:
    A `byte` representing this component.

### equals

    public boolean equals(java.lang.Object comp)

  Compare two file ID components.

  Overrides:
    `equals` in class `CardFilePathComponent`
  Parameters:
    `comp` - An object of type `CardFileFileID`.
  Returns:
    True if `comp` is of type `CardFilePathComponent` and describes the same path component.

### hashCode

    public int hashCode()

  Return a hashcode for this file ID component.

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD